# TupleMatcher (ARX Developer Documentation)

org.deidentifier.arx.metric.v2

## Class TupleMatcher

- java.lang.Object
- - org.deidentifier.arx.metric.v2.TupleMatcher

- All Implemented Interfaces:
    java.io.Serializable

      public class TupleMatcher
      extends java.lang.Object
      implements java.io.Serializable

  A class that supports associating input with output
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`